<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns:xwaffe-herstellerhaendler="http://www.xwaffe.de/schemata/herstellerhaendler/V2_5/"
           targetNamespace="http://www.xwaffe.de/schemata/herstellerhaendler/V2_5/"
           version="2.5"
           elementFormDefault="qualified"
           attributeFormDefault="unqualified">
   <xs:annotation>
      <xs:appinfo>
         <standard>
            <nameLang>XWaffe – Standard für die elektronische Datenübermittlung im deutschen Waffenwesen</nameLang>
            <nameKurz>XWaffe</nameKurz>
            <nameTechnisch>xwaffe</nameTechnisch>
            <kennung>urn:xoev-de:bmi:standard:xwaffe</kennung>
            <beschreibung>Zur Unterstützung der effizienten und wirtschaftlichen Umsetzung durchgehender medienbruchfreier elektronischer Prozesse im deutschen Waffenwesen wird der Standard XWaffe erstellt. Grundlage der Kommunikation ist das Waffengesetz (WaffG) sowie das Waffenregistergesetz (WaffRG), sowie die zugehörigen Rechtsverordnungen (WaffRGDV). Mit Stand des WaffG und WaffRG vom 01. September 2020 werden die Meldepflichten von Inhabern waffenrechtlicher Erlaubnisse gem. §21 Abs. 1 WaffG (Händler, Hersteller) sowie die Übermittlungsanlässe der Waffenebehörden an das Nationalen Waffenregisters (NWR) unterstützt.</beschreibung>
         </standard>
         <versionStandard>
            <version>2.5</version>
            <beschreibung>Zur Unterstützung der effizienten und wirtschaftlichen Umsetzung durchgehender medienbruchfreier elektronischer Prozesse im deutschen Waffenwesen wird der Standard XWaffe erstellt. Grundlage der Kommunikation ist das Waffengesetz (WaffG) sowie das Waffenregistergesetz (WaffRG), sowie die zugehörigen Rechtsverordnungen (WaffRGDV). Mit Stand des WaffG und WaffRG vom 01. September 2020 werden die Meldepflichten von Inhabern waffenrechtlicher Erlaubnisse gem. §21 Abs. 1 WaffG (Händler, Hersteller) sowie die Übermittlungsanlässe der Waffenebehörden an das Nationalen Waffenregisters (NWR) unterstützt.</beschreibung>
            <versionXOEVProfil>2.1.0_p3</versionXOEVProfil>
            <versionXOEVHandbuch>2.4.0</versionXOEVHandbuch>
            <versionXGenerator>3.0.1</versionXGenerator>
            <versionModellierungswerkzeug>19.0 SP3</versionModellierungswerkzeug>
            <nameModellierungswerkzeug>MagicDraw</nameModellierungswerkzeug>
         </versionStandard>
      </xs:appinfo>
   </xs:annotation>
   <xs:include schemaLocation="xwaffe-baukasten-herstellerhaendler.xsd"/>
   <xs:element name="ergebnis.statusabfrage.1920">
      <xs:annotation>
         <xs:appinfo>
            <autor>Kopfstelle des NWR
</autor>
            <leser>IT-Systeme der Inhaber einer Erlaubnis nach §21 Absatz 1 Satz 1 WaffG</leser>
         </xs:appinfo>
         <xs:documentation>Rückmeldung der Verarbeitungstatus für die abgefragten Transaktionen</xs:documentation>
      </xs:annotation>
      <xs:complexType>
         <xs:sequence>
            <xs:element name="kopf" type="xwaffe-herstellerhaendler:Meldungskopf">
               <xs:annotation>
                  <xs:documentation>Der Nachrichtenkopf umfasst allgemeine, technische Eigenschaften einer Nachricht, wie z.B. Erstellungszeitpunkt oder Tagesnachrichtenzähler.</xs:documentation>
               </xs:annotation>
            </xs:element>
            <xs:element name="transaktionsstand"
                        minOccurs="0"
                        maxOccurs="unbounded"
                        type="xwaffe-herstellerhaendler:Transaktionsstand">
               <xs:annotation>
                  <xs:documentation>Stand der Verarbeitung einer Transaktion, die den Anfrageparametern entspricht.</xs:documentation>
               </xs:annotation>
            </xs:element>
            <xs:element name="verarbeitungsstatus"
                        type="xwaffe-herstellerhaendler:Verarbeitungsstatus">
               <xs:annotation>
                  <xs:documentation>Verarbeitungsstatus einer Meldung.</xs:documentation>
               </xs:annotation>
            </xs:element>
         </xs:sequence>
      </xs:complexType>
   </xs:element>
   <xs:element name="ergebnis.verarbeitung.1921">
      <xs:annotation>
         <xs:appinfo>
            <autor>Kopfstelle des NWR</autor>
            <leser>IT-Systeme der Inhaber einer Erlaubnis nach §21 Absatz 1 Satz 1 WaffG</leser>
         </xs:appinfo>
         <xs:documentation>Rückmeldung der Verarbeitungsdaten und -ergebnisse zu einer Transaktion ggf. mit erzeugter Waffen-/ Waffenteilidentifikationsnummern (NWRID)</xs:documentation>
      </xs:annotation>
      <xs:complexType>
         <xs:sequence>
            <xs:element name="kopf" type="xwaffe-herstellerhaendler:Meldungskopf">
               <xs:annotation>
                  <xs:documentation>Der Nachrichtenkopf umfasst allgemeine, technische Eigenschaften einer Nachricht, wie z.B. Erstellungszeitpunkt oder Tagesnachrichtenzähler.</xs:documentation>
               </xs:annotation>
            </xs:element>
            <xs:element name="verarbeitungsstand"
                        minOccurs="0"
                        type="xwaffe-herstellerhaendler:Verarbeitungsergebnis">
               <xs:annotation>
                  <xs:documentation>Stand und Verarbeitungsergebnis des Automatisierten Fachverfahrens (AFV).</xs:documentation>
               </xs:annotation>
            </xs:element>
            <xs:element name="transaktionsinformation"
                        minOccurs="0"
                        type="xwaffe-herstellerhaendler:Transaktionsinformation">
               <xs:annotation>
                  <xs:documentation>Transaktiondaten der Kopfstelle.</xs:documentation>
               </xs:annotation>
            </xs:element>
            <xs:element name="verarbeitungsstatus"
                        type="xwaffe-herstellerhaendler:Verarbeitungsstatus">
               <xs:annotation>
                  <xs:documentation>Status der Verarbeitung einer Meldung.</xs:documentation>
               </xs:annotation>
            </xs:element>
         </xs:sequence>
      </xs:complexType>
   </xs:element>
</xs:schema>
